// 用户协议

import 'package:flutter/material.dart';
import 'package:sport/widgets/appbar.dart';

class ServiceagreementPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() => _PageState();
}

class _PageState extends State<ServiceagreementPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: CustomScrollView(
        slivers: <Widget>[
          SliverAppBar(
            pinned: true,
            elevation: 0,
            expandedHeight: 140.0,
            leading: buildBackButton(context),
            flexibleSpace: FlexibleSpaceBar(
              title: Text(
                "《用户协议》", style: titleStyle,
              ),
            ),
          ),
          SliverToBoxAdapter(
            child: Padding(
              padding: const EdgeInsets.all(12.0),
              child: RichText(
                text: TextSpan(
                    style: TextStyle(fontSize: 16, color: Color(0xff333333)),
                    children: <InlineSpan>[
                      TextSpan(text: '用户须知：\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本应用程序在此特别提醒用户认真阅读、充分理解本《服务协议》（下称《协议》），用户应认真阅读、充分理解本《协议》中各条款，包括免除或者限制本应用程序责任的免责条款及对用户的权利限制条款。请您审慎阅读并选择接受或不接受本《协议》（未成年人应在法定监护人陪同下阅读）。除非您接受本《协议》所有条款，否则您无权注册、登录或使用本协议所涉相关服务。您的注册、登录、使用等行为将视为对本《协议》的接受，并同意接受本《协议》各项条款的约束。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本《协议》描述本应用程序与用户之间关于本应用程序服务相关方面的权利义务。“用户”是指注册、登录、使用、浏览本服务的个人或组织。本《协议》可由本应用程序随时更新，更新后的协议条款一旦公布即代替原来的协议条款，恕不再另行通知，用户可在本网站查阅最新版协议条款。在本应用程序修改《协议》条款后，如果用户不接受修改后的条款，请立即停止使用本应用程序提供的服务，用户继续使用本应用程序提供的服务将被视为已接受了修改后的协议。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '一、【使用规则】\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户充分了解并同意，本应用程序仅为用户提供视频制作的平台，用户必须为自己注册账号下的一切行为负责，包括您所传送的任何内容以及由此产生的任何结果。用户应对本应用程序中的内容自行加以判断，并承担因使用内容而引起的所有风险，包括因对内容的正确性、完整性或实用性的依赖而产生的风险。本应用程序无法且不会对因用户行为而导致的任何损失或损害承担责任。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户在本应用程序服务中或通过本应用程序服务所传送的任何内容并不反映本应用程序的观点或政策，本应用程序对此不承担任何责任。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户充分了解并同意，用户须对在本应用程序上的注册信息的真实性、合法性、有效性承担全部责任，用户不得冒充他人；不得利用他人的名义传播任何信息；不得恶意使用注册账号导致其他用户误认；否则本应用程序有权立即停止提供服务，收回本应用程序账号并由用户独自承担由此而产生的一切法律责任。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户须对在本应用程序上所传送信息的真实性、合法性、无害性、有效性等全权负责，与用户所传播的信息相关的任何法律责任由用户自行承担，与本应用程序无关。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本应用程序保留因业务发展需要，单方面对本服务的全部或部分服务内容在任何时候不经任何通知的情况下变更、暂停、限制、终止或撤销本应用程序服务的权利，用户需承担此风险。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本应用程序提供的服务中可能包括广告，用户同意在使用过程中显示本应用程序和第三方供应商、合作伙伴提供的广告。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户不得利用本应用程序或本应用程序服务制作、上载、复制、发送如下内容：\n\n'),
                      TextSpan(text: '（1）违反宪法确定的基本原则的；\n\n'),
                      TextSpan(text: '（2）危害国家安全，泄露国家秘密，颠覆国家政权，破坏国家统一的；\n\n'),
                      TextSpan(text: '（3）损害国家荣誉和利益的；\n\n'),
                      TextSpan(text: '（4）煽动民族仇恨、民族歧视，破坏民族团结的；\n\n'),
                      TextSpan(text: '（5）破坏国家宗教政策，宣扬邪教和封建迷信的；\n\n'),
                      TextSpan(text: '（6）散布谣言，扰乱社会秩序，破坏社会稳定的；\n\n'),
                      TextSpan(text: '（7）散布淫秽、色情、赌博、暴力、恐怖或者教唆犯罪的；\n\n'),
                      TextSpan(text: '（8）侮辱或者诽谤他人，侵害他人合法权益的；\n\n'),
                      TextSpan(text: '（9）煽动非法集会、结社、游行、示威、聚众扰乱社会秩序的；\n\n'),
                      TextSpan(text: '（10）以非法民间组织名义活动的；\n\n'),
                      TextSpan(text: '（11）含有法律、行政法规禁止的其他内容的。\n\n'),
                      TextSpan(text: '（12）本应用程序可依其合理判断，对违反有关法律法规或本协议约定；或侵犯、妨害、威胁任何人权利或安全的内容，或者假冒他人的行为，本应用程序有权依法停止传输任何前述内容，并有权依其自行判断对违反本条款的任何人士采取适当的法律行动，包括但不限于，从本应用程序服务中删除具有违法性、侵权性、不当性等内容，终止违反者的成员资格，阻止其使用本应用程序全部或部分服务，并且依据法律法规保存有关信息并向有关部门报告等。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '二、【隐私保护】\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户同意个人隐私信息是指那些能够对用户进行个人辨识或涉及个人通信的信息，包括下列信息：用户真实姓名，身份证号，手机号码，IP地址。而非个人隐私信息是指用户对本服务的操作状态以及使用习惯等一些明确且客观反映在本应用程序服务器端的基本记录信息和其他一切个人隐私信息范围外的普通信息；以及用户同意公开的上述隐私信息；\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t尊重用户个人隐私信息的私有性是本应用程序的一贯制度，本应用程序将会采取合理的措施保护用户的个人隐私信息，除法律或有法律赋予权限的政府部门要求或用户同意等原因外，本应用程序未经用户同意不向除合作单位以外的第三方公开、 透露用户个人隐私信息。 但是，用户在注册时选择同意，或用户与本应用程序及合作单位之间就用户个人隐私信息公开或使用另有约定的除外，同时用户应自行承担因此可能产生的任何风险，本应用程序对此不予负责。同时，为了运营和改善本应用程序的技术和服务，本应用程序将可能会自行收集使用或向第三方提供用户的非个人隐私信息，这将有助于本应用程序向用户提供更好的用户体验和提高本应用程序的服务质量。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户同意，在使用本应用程序服务时也同样受本应用程序隐私政策的约束。当您接受本协议条款时，您同样认可并接受本应用程序隐私政策的条款。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '三、【本应用程序商标信息】\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本应用程序服务中所涉及的图形、文字或其组成，以及其他本应用程序标志及产品、服务名称，均为本应用程序之商标（以下简称“本应用程序标识”）。未经本应用程序事先书面同意，用户不得将本应用程序标识以任何方式展示或使用或作其他处理，也不得向他人表明您有权展示、使用、或其他有权处理本应用程序标识的行为。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '四、【法律责任及免责】\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户违反本《协议》或相关的服务条款的规定，导致或产生的任何第三方主张的任何索赔、要求或损失，包括合理的律师费，用户同意赔偿本应用程序与合作公司、关联公司，并使之免受损害。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户因第三方如电信部门的通讯线路故障、技术问题、网络、电脑故障、系统不稳定性及其他各种不可抗力原因而遭受的一切损失，本应用程序及合作单位不承担责任。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t因技术故障等不可抗事件影响到服务的正常运行的，本应用程序及合作单位承诺在第一时间内与相关单位配合，及时处理进行修复，但用户因此而遭受的一切损失，本应用程序及合作单位不承担责任。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本服务同大多数互联网服务一样，受包括但不限于用户原因、网络服务质量、社会环境等因素的差异影响，可能受到各种安全问题的侵扰，如他人利用用户的资料，造成现实生活中的骚扰；用户下载安装的其它软件或访问的其他网站中含有“特洛伊木马”等病毒，威胁到用户的计算机信息和数据的安全，继而影响本服务的正常使用等等。用户应加强信息安全及使用者资料的保护意识，要注意加强密码保护，以免遭致损失和骚扰。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户须明白，使用本服务因涉及Internet服务，可能会受到各个环节不稳定因素的影响。因此，本服务存在因不可抗力、计算机病毒或黑客攻击、系统不稳定、用户所在位置、用户关机以及其他任何技术、互联网络、通信线路原因等造成的服务中断或不能满足用户要求的风险。用户须承担以上风险，本应用程序不作担保。对因此导致用户不能发送和接受阅读信息、或接发错信息，本应用程序不承担任何责任。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本应用程序定义的信息内容包括：文字、软件、声音、相片、录像、图表；在广告中全部内容；本应用程序为用户提供的商业信息，所有这些内容受版权、商标权、和其它知识产权和所有权法律的保护。所以，用户只能在本应用程序和广告商授权下才能使用这些内容，而不能擅自复制、修改、编纂这些内容、或创造与内容有关的衍生产品。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t在任何情况下，本应用程序均不对任何间接性、后果性、惩罚性、偶然性、特殊性或刑罚性的损害，包括因用户使用本应用程序服务而遭受的利润损失，承担责任（即使本应用程序已被告知该等损失的可能性亦然）。尽管本协议中可能含有相悖的规定，本应用程序对您承担的全部责任，无论因何原因或何种行为方式，始终不超过您在成员期内因使用本应用程序服务而支付给本应用程序的费用(如有) 。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '五、【用户权利和义务】\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本应用程序账号的所有权归本应用程序所有，用户完成申请注册手续后，获得本应用程序账号的使用权，该使用权仅属于初始申请注册人，禁止赠与、借用、租用、转让或售卖。本应用程序因经营需要，有权回收用户的本应用程序账号。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户有权更改、删除在本应用程序上的个人资料、注册信息及传送内容等，但需注意，删除有关信息的同时也会删除任何您储存在系统中的文字和图片。用户需承担该风险。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户有责任妥善保管注册账号信息及账号密码的安全，用户需要对注册账号以及密码下的行为承担法律责任。用户同意在任何情况下不使用其他成员的账号或密码。在您怀疑他人在使用您的账号或密码时，您同意立即通知本应用程序。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户应遵守本协议的各项条款，正确、适当地使用本服务，如因用户违反本协议中的任何条款，本应用程序有权依据协议终止对违约用户本应用程序账号提供服务。同时，本应用程序保留在任何时候收回本应用程序账号、用户名的权利。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户注册本应用程序账号后如果长期不登录该账号，本应用程序有权回收该账号，以免造成资源浪费，由此带来问题均由用户自行承担。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t用户承诺并保证其具备履行本合同项下服务所需的能力。为了服务的顺利、平稳进行，用户应尽最大努力保证服务方式的灵活性。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '六、【产权声明】\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本应用所提供的所有产品、技术、程序及所有信息内容（包括但不限于背景图片、文字、商标、标识、视频、音乐）的知识产权均归本应用程序所有。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t除法律特别规定或者政府明确要求者外，在未取得本公司书面明确许可前，任何单位或者个人不得对本公司的任何知识产权进行任何目的的使用，包括但不限于全部或局部复制、转载、引用、传播、更改和链接。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t任何用户使用本应用，即表明该用户主动将其在所上传图片中的任何著作权、商标权或其他知识产权权利无偿许可给本公司使用，且表明该用户放弃对本公司主张所上传图片中任何知识产权、肖像权及隐私权的权利。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本应用仅供个人娱乐。任何用户通过使用本应用所生成之图片和视频中的任何著作权、商标权或其他知识产权权利均为本公司所有。非经本公司书面明确许可，任何单位或个人均不得对通过使用本应用所生成之图片进行商业性使用。且本公司有权就任何主体侵犯上述权利之行为单独提起诉讼，并获得全部赔偿。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本公司可按自身判断随时对本声明进行修改及更新。对本声明的所有改动一经发布即产生法律效力，并适用于改动发布后对本应用的一切使用行为。如用户在经修改的声明发布后继续使用本应用，即代表用户接受并同意了这些改动。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t任何违反本应用知识产权声明的行为，本公司保留进一步追究法律责任的权利。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t使用或传播本软件破解版，将被永久封号。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '七、【其他条款】\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本应用程序郑重提醒用户注意本《协议》中免除本应用程序责任和加重用户义务的条款，请用户仔细阅读，自主考虑风险。未成年人应在法定监护人的陪同下阅读本《协议》。以上各项条款内容的最终解释权及修改权归本应用程序所有。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本《协议》所定的任何条款的部分或全部无效者，不影响其它条款的效力。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本《协议》的版权由本应用程序所有，本应用程序保留一切解释和修改权利。\n\n'),

                    ]),
              ),
            ),
          )
        ],
      ),
    );
  }
}
